Run of fresh-releases for s3scanner

Try this locally package):

debcheckout s3scanner
cd s3scanner
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
[2022-03-18 23:22:59] Opening branch at https://gitlab.com/kalilinux/packages/s3scanner.git/,branch=kali%2Fmaster
[2022-03-18 23:22:59] Using cached branch https://janitor.kali.org/git/s3scanner/,branch=kali%2Flatest
[2022-03-18 23:22:59] Using resume branch: https://janitor.kali.org/git/s3scanner,branch=fresh-releases%2Fmain
[2022-03-18 23:23:00] Total 138 (delta 63), reused 0 (delta 0)
Traceback (most recent call last):
  File "/opt/janitor/breezy/breezy/transport/local.py", line 155, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/tmp/janitor9jx8_zlj/s3scanner/.git/refs/heads/master'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/janitor/janitor/worker.py", line 700, in process_package
    ws.__enter__()
  File "/opt/janitor/silver-platter/silver_platter/workspace.py", line 199, in __enter__
    self.resume_branch or self.main_branch, overwrite=True
  File "/opt/janitor/breezy/breezy/git/workingtree.py", line 1278, in pull
    local=local, tag_selector=tag_selector)
  File "/opt/janitor/breezy/breezy/branch.py", line 1059, in pull
    possible_transports=possible_transports, *args, **kwargs)
  File "/opt/janitor/breezy/breezy/git/branch.py", line 1321, in pull
    result.old_revid = self.target.last_revision()
  File "/opt/janitor/breezy/breezy/git/branch.py", line 686, in last_revision
    if self.head is None:
  File "/opt/janitor/breezy/breezy/git/branch.py", line 804, in _get_head
    return self.repository._git.refs[self.ref]
  File "/opt/janitor/dulwich/dulwich/refs.py", line 322, in __getitem__
    _, sha = self.follow(name)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 292, in follow
    contents = self.read_ref(refname)
  File "/opt/janitor/dulwich/dulwich/refs.py", line 265, in read_ref
    contents = self.read_loose_ref(refname)
  File "/opt/janitor/breezy/breezy/git/transportgit.py", line 210, in read_loose_ref
    f = transport.get(urlutils.quote_from_bytes(name))
  File "/opt/janitor/breezy/breezy/transport/local.py", line 159, in get
    self._translate_error(e, path)
  File "/opt/janitor/breezy/breezy/transport/__init__.py", line 372, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/tmp/janitor9jx8_zlj/s3scanner/.git/refs/heads/master' [Errno 24] Too many open files: '/home/janitor/tmp/janitor9jx8_zlj/s3scanner/.git/refs/heads/master'

Full worker log